"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoginTabs = void 0;

var _react = require("@ionic/react");

var _react2 = require("react");

var _LoginWithOTP = require("../LoginWithOTP");

var _LoginWithPassword = require("../LoginWithPassword");

var _excluded = ["disablePasswordLogin", "disableOTPLogin"];

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var LoginMethod;

(function (LoginMethod) {
  LoginMethod["password"] = "password";
  LoginMethod["otp"] = "otp";
})(LoginMethod || (LoginMethod = {}));

var LoginTabs = function LoginTabs(_ref) {
  var disablePasswordLogin = _ref.disablePasswordLogin,
      disableOTPLogin = _ref.disableOTPLogin,
      props = _objectWithoutProperties(_ref, _excluded);

  var _useState = (0, _react2.useState)(LoginMethod.password),
      _useState2 = _slicedToArray(_useState, 2),
      method = _useState2[0],
      setMethod = _useState2[1];

  (0, _react2.useEffect)(function () {
    if (disablePasswordLogin && !disableOTPLogin) setMethod(LoginMethod.otp);
    if (disableOTPLogin && !disablePasswordLogin) setMethod(LoginMethod.password);
    if (disableOTPLogin && disablePasswordLogin) setMethod(undefined);
  }, [disableOTPLogin, disablePasswordLogin]);
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(_react.IonSegment, {
    value: method,
    onIonChange: function onIonChange(e) {
      return setMethod(e.detail.value);
    },
    selectOnFocus: true
  }, /*#__PURE__*/React.createElement(_react.IonSegmentButton, {
    value: LoginMethod.password,
    hidden: disablePasswordLogin
  }, /*#__PURE__*/React.createElement(_react.IonLabel, null, "Login with Password")), /*#__PURE__*/React.createElement(_react.IonSegmentButton, {
    value: LoginMethod.otp,
    hidden: disableOTPLogin
  }, /*#__PURE__*/React.createElement(_react.IonLabel, null, "Login with OTP"))), /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'flex',
      justifyContent: 'center',
      marginTop: '20px'
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      width: "30%"
    }
  }, method === LoginMethod.password && /*#__PURE__*/React.createElement(_LoginWithPassword.LoginWithPassword, props), method === LoginMethod.otp && /*#__PURE__*/React.createElement(_LoginWithOTP.LoginWithOTP, props))));
};

exports.LoginTabs = LoginTabs;